Mappning

BECKHOFF AUTOMATION Knowledge Base

Kom igång med CX1000 och TwinCat

Version: 1.0
Datum: 2005-01-31


1. Inledning

Detta är ett enkelt ”kom-i-gång”-dokument för CX1000 och TwinCAT. Om man följer de steg som visas nedan är tanken att man snabbt ska komma igång och implementera sitt PLC-program. Dokumentet är på intet sätt heltäckande, t.ex. beskrivs det inte hur man kopplar ihop sin dator och CX1000. Här hänvisar vi till Beckhoff Information System.

Hårdvarukrav för att kunna följa instruktionerna i denna hjälpfil:

· CX1000 med Windows XPe/CE och TwinCAT.

· En digital utgångsterminal (t.ex. KL2134).

· En termineringsterminal, KL9010.

Mjukvarukrav:

· TwinCAT (demoversion kan laddas ner ifrån www.beckhoff.se)


2. Konfiguration av kommunikation.

1. Starta TwinCAT

Det första steget är att Starta TwinCAT System Manager. Detta görs enklast genom att klicka på TwinCAT iconen och sedan på System Manager (se figur.2.1).

Fig. 2.1

2. Byt driftmode till ”Config Mode”

Ändra nu TwinCATs driftmode till ”Config Mode”, om inte TwinCAT redan är i detta mode (är TwinCAT det är dess ikon i Windows aktivitetsfält blå). Välj menyn Actions -> Set/Reset TwinCAT to Config Mode eller klicka på verktygsknappen enligt figur 2.2.

Fig. 2.2

3. Anslut till CX

Nästa steg är att leta upp din CX1000 i nätverket. Detta gör du genom att i din System Manager välja menyn Actions -> Choose Target System eller klicka på knappen Choose Taget System enligt figur 2.3.

Fig. 2.3

4. Sök/Välj CX

Tryck sedan på knappen Search (figur 2.4) och i den följande dialogen klickar du på knappen Broadcast Search

Fig. 2.4

5. Välj system

En lista kommer nu att dyka upp som innehåller alla TwinCAT-datorer som hittats på nätverket och din CX skall vara en av dem.

Finns din CX inte med i list

Finns din CX inte med i listan så kontrollera att IP-adresser är rätt inställda och att du endast har ett nätverkskort aktivt.

6. Lägg till CX

Markera det system du skall programmeran och klicka på knappen Add Route (se figur 2.5).

Fig. 2.5

7. Skriv in lösenord

Det kommer nu upp en dialogruta som ber dig mata in ett lösenord. Om du använder Windows XPe är User name: ”Administrator” och Password: ”1” (en etta). Använder Windows CE kan rensa fälten och klicka på OK.

Fig. 2.6

8. CX ansluten

Om allt nu gått rätt skall det dyka upp ett ”X” i kolumnen ”Connected” vilket innebär att TwinCAT nu är kopplad mot din CX1000.

Stäng dialogen med knappen Close. Får du ett ADS enligt figur 2.7 beror det troligtvis på att du har mer än ett nätverkskort aktiverat på datorn. Inaktivera i så fall det kortet och testa ansluta igen.

Fig. 2.7

Om du inte får detta att fungera så ändra från ”Host Name” till ”IP Address”.

9. Välj fjärrsystem

Den CX som du nu valt dyker nu upp i nästa dialog ”Choose Target System”. Välj det system du vill programmera och klicka på knappen ”OK”. När du nu kommer tillbaka till ”System Manager” ser du att ditt system är uppkopplat till ett fjärrsystem och därmed programmeras från din PC. (Röd text=Fjärrsystem)

Du kan också se vilken status det befinner sig i nere till höger i ”System Manager” (se figur 2.7). Har systemet status ”Config Mode” eller ”Running” är det redo för programmering.

Fig. 2.7


3. Konfiguration av hårdvara

Det är nu tid att konfigurera din hårdvara. När detta görs är det viktigt att du fortfarande är kopplad mot din CX1000 och att du är i Config-mode (se konfiguration av kommunikation)

1. Läs in hårdvara

Högerklicka på I/O Devices och välj sedan Scan Devices (se figur 3.1). TwinCAT kommer nu att scanna din CX1000 efter hårdvara som TwinCAT känner igen.

Fig. 3.1

Efter att du har valt Scan Devices kommer följande dialog att visas (se figur 3.2).

Fig. 3.2

2. Välj vilka enheter du vill läsa in

Klicka OK för att fortsätta. Resultatet av sökningen kommer nu upp i ett nytt fönster. Välj den/de delar du vill aktivera (i vårt fall bara CX1100 som är spänningsaggregatet med I/O), klicka därefter på OK (se figur 3.3).

Fig. 3.3

3. Läs in I/O och noder

På följande dialog ska du svara Yes om du vill att TwinCAT ska scanna efter busskopplare och bussterminaler. I vårt fall vill vi det så klicka på knappen Yes (se figur 3.4).

Fig. 3.4

4. Aktivera ”Free Run”

Om man vill testa sina I/O direkt utan att använda ett PLC-program kan man aktivera Free Run i följande dialog. Vi ska använda Free Run, välj därför Yes (se figur 3.5).

Fig. 3.5

5. I/O test

För att testa utgångarna navigera till I/O Configuration -> I/O Devices -> CX1100 -> TermX -> ChannelX -> Output och klicka sedan på Online -> Write (se figur 3.6). Här kan du skriva in värden på, i vårt fall digitala utgången för att testa så att den fungerar.

Fig. 3.6


4. Skapa ett projekt

1. Starta PLC Control

Klicka på TwinCat-ikonen i aktivitetsfältet och välj PLC Control (se figur 4.1). Det är detta program som du implementerar ditt PLC-program. Hur man skriver ett program kommer vi inte att gå in på denna hjälp, utan här kommer vi endast att visa hur man kopplar PLC Control till CX1000 samt hur man länkar variabler till utgångar.

Fig. 4.1

2. Skapa ett nytt plc projekt

När du startat PLC Control får du frågan vad det är för system du vill programmera (se figur 4.2). I detta fall ska vi programmera en CX1000 som är en embedded PC. Därför ska vi välja PC(i386) i dialogen och klicka på OK.

Fig. 4.2

Får du inte upp denna dialog så klicka på File->New.

I nästa dialog ska vi välja namnet på vårt huvudprogram och vilket språk vi vill skriva det i (man väljer också vad man vill skapa, tex. ett program, funktion eller ett funktionsblock. Dessa har samlingsnamnet POU – Program Organization Unit). Vi använder default-namnet Main, Program och språket ST (Strukturerad Text), figur 4.3, klicka på OK.

Fig. 4.3

Skriv nu bara ett semikolon i programmet (se bild 4.4). Detta för att du ska kunna kompilera programmet utan att få några varningar pga. tomt program.

Fig. 4.4

Spara nu programmet File->Save eller klicka på ikonen [image] .

3. Deklarera variabler

Vi ska nu deklarera några variabler som vi senare ska länka till några utgångar. Variablerna som vi sedan ska länka deklarerar vi som globala (de behöver inte vara det men bör). Klicka på fliken Recourses, expandera mappen Global Variables och dubbelklicka på Global_Varialbles.

I TwinCat hanteras variablernas adresser internt av systemet. Programmeraren behöver inte tänka på minneshantering. PLC programmet använder symboliska variabelnamn, på så sätt förhindras tex. minnesöverlappning. För att komma åt input/output-nivån är det nödvändigt för programmeraren att kunna tilldela fixa adresser för individuella variabler. Detta görs genom att använda nyckelordet ”AT”, som måste användas då man deklarerar en variabel med fix adress. Ordet ”AT” följs av ett antal parametrar som ger information om data allokeringen (input/output eller minnes area) och datalängden (BIT, BYTE, WORD eller DWORD).

I vårt exempel ska deklareringen av variabler se ut som följer av figur 4.5.

Fig. 4.5

Vilket betyder följande:

 | Typ av variabel | Datalängd | Förklaring
% |  |  | Början på I/O definition
 | I |  | Input
 | Q |  | Output
 | M |  | Flagga
 |  | X | Bit (1bit)
 |  | B | Byte (8 bitar)
 |  | W | Ord (16 bitar)
 |  | D | Dubbelord (32 bitar)

Det är inte nödvändigt att ange datalängden specifikt i TwinCat (möjligheten finns). Vill man inte ange datalängden skriver man en ”*” istället (se bild 4.6), då hanteras adresserna internt av TwinCat. Vill man ange den specifika adressen själv ser det ut som i bild XX.

Fig. 4.6

Siffrorna efter datalängden anger variablens specifika adress. För bit variabler måste adressen specificeras i formatet x.y, och x för byte, ord och dubbelord. Inputs och outputs ligger i olika minnesareor och kan därför ha samma adress.

4. Kompilera och spara projekt

Spara nu projektet på samma sätt som ovan och kompilera genom att klicka på Project->Rebuild all (se figur 4.7)

Fig. 4.7

5. Koppla ihop PLC-programmet med System Managern

Växla nu över till System Manager (det program vi använde när vi koppla upp oss mot CX1000). Vi ska nu koppla ihop PLC-programmet (med våra variabler) med våra fysiska utgångar. Börja med att högerklicka på PLC – Configuration->Append PLC Project (se figur 4.8).

Fig. 4.8

I den följande dialogen väljer du det program du precis sparat undan i PLC Control.

6. Länka variabler

Vi ska nu länka variabeln Output0 till en av våra digitala utgångar. Klicka på PLC Configuration -> Namnet på ditt program -> Namnet på ditt program – Image. Nu kommer de variabler du deklarerade i PLC Control mha ”%Q*:” att listas till höger (figur 4.9).

Fig. 4.9

Högerklicka på Output0 och välj Change Link (se figur 4.10).

Fig. 4.10

Nu väljer du den utgång du vill länka ihop med variabeln och klicka på OK (se figur 4.11).

Fig. 4.11

7. Aktivera konfiguration

Aktivera nu konfigurationen genom att klicka på Activate configuration (se figur 4.12). Svara ja på de följande frågorna om mappning ska genereras, konfigurationen kontrolleras och om att sätta TwinCat i run-mode.

Fig. 4.12

Svara sedan Ok på de följande frågorna om att skriva över den gamla konfigurationen och om att starta om TwinCAT i Run Mode.

8. Ladda ner program

Växla nu tillbaka till PLC Control. Vi ska nu ladda ner vårt program i CX:en och starta det. Klicka på Online -> Choose Run-Time System(se figur 4.13)

Fig 4.13

9. Välj run-time system

Välj sedan ditt systems run-time (fig 4.14) och klicka Ok.

Fig. 4.14

10. Logga in på CX

Logga nu in på din CX1000 genom att klicka på Online -> Login. Programmet laddas ner genom att du svarar Yes på dialogen i figur 4.15.

Fig 4.15

Starta nu ditt program genom att klicka på Online -> Run.

11. I/O Test i PLC Control

Vi ska nu kontrollera att vi länkat våra variabler rätt. Titta på dina globala variabler genom att klicka på fliken Recourses, expandera mappen Global Variables och dubbelklicka på Global_Varialbles. Dina deklarerade variabler kommer nu att se ut som i figur 4.16 (om du deklarerat med %Q*).

Fig. 4.16

För att tvinga en variable, tex. Output0, dubbelklickar man på den (se figur 4.17). Man får då fram det värdet man ska tvinga till.

Fig. 4.17

Klicka på nu på Online -> Write Values. Resultatet ser du i figur 4.18.

Fig. 4.18

Om du nu har länkat rätt ska den utgång ( i detta exempels fall, en digital utgång) sättas. Om inte får du titta på länkningen igen.

Detta är det steg som krävs för att komma igång att programmera din CX1000. Mer information finns i Beckhoff Information System.


Register hantering med Beckhoff Plintbus

Beckhoff Support i Sverige

Har ni frågor eller behöver mer information kontakta oss gärna.

Stockholm (Huvudkontor)

Beckhoff Automation AB

Box 3032

Djursholmsvägen 50A

183 02 Täby

Telefon: 08-446 3000

Fax: 08-630 0520

Göteborg

Beckhoff Automation AB c/o Delfoi

Sofierogatan 3D

412 51 Göteborg

Telefon: 031-733 43 39

Fax: 031-40 19 09

Malmö

Beckhoff Automation AB

Krusegränd 42 C

212 25 Malmö

Telefon: 040-680 81 60

Mail: support@beckhoff.se